Subject: [Sipping-tispan] TIP/TIR service confusion

From: "Bemmel, Jeroen van (Jeroen)" <[email-masked]>
Date: Mon, 5 Sep 2005 14:14:11 +0200

All,
 
I am confused by the description of the TIP/TIR service ( http://people.nokia.net/~miguel/drafts/pre/draft-jesske-sipping-tispan-requirements-02c.html#TIP <http://people.nokia.net/~miguel/drafts/pre/draft-jesske-sipping-tispan-requirements-02c.html#TIP>  section 3.3)
 
As I understand it, "Terminating Identification Presentation" allows you - as a callee - to give the caller a direct contact to reach the device you're using to communicate with them at that moment, which may be different from the address (phonenumber in PSTN terms) which the caller originally used to reach you there.
 
A first confusion arises from the distinction between "identity" and "address", it seems to me that the identification shared here is a kind of line identification, an address (SIP URI) that leads to a specific UAC. So not an address-of-record but a contact address as a UAC would e.g. use for registration, in a Contact header.
 
Specific questions regarding the text in the requirements draft:
"These services support the presentation or restriction of a callee's identity to the caller" - isn't the callee's current contact address meant here?
"the callee merely indicates an additional identity where he is reachable" - could it be any "identity"? I would expect the contact address of the UAC being used for the call
 
The example provided, which talks about "the real addressable URI", seems to confirm this. In particular, it is different from a P-Asserted-Identity value (RFC3325) which contains a "public address" (AOR) for the user
 
Regards,
 
Jeroen
_______________________________________________
Sipping-tispan mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sipping-tispan

---

From: Miguel Garcia <[email-masked]>
Date: Tue, 06 Sep 2005 14:49:54 +0300

Jeroen:

I think this deserves a bit more of discussion. See inline comments. I 
am copying Roland, since I have discussed this service with him quite a 
few times and he seems to have a better idea of it.

Bemmel, Jeroen van (Jeroen) wrote:

> All,
>  
> I am confused by the description of the TIP/TIR service 
> (http://people.nokia.net/~miguel/drafts/pre/draft-jesske-sipping-tispan-requirements-02c.html#TIP section 
> 3.3)
>  
> As I understand it, "Terminating Identification Presentation" allows you 
> - as a callee - to give the caller a direct contact to reach the device 
> you're using to communicate with them at that moment, which may be 
> different from the address (phonenumber in PSTN terms) which the caller 
> originally used to reach you there.

Yes, BUT: the callee can't give a Contact address straight forward, 
because any SIP request sent to that contact address will bypass the 
various CSCFs in IMS, and in a few cases, will not reach the callee.

The calle can use a GRUU though... it will work (whenever IMS supports 
it, I've heard they are working on it).

>  
> A first confusion arises from the distinction between "identity" and 
> "address", it seems to me that the identification shared here is a kind 
> of line identification, an address (SIP URI) that leads to a specific 
> UAC. So not an address-of-record but a contact address as a UAC would 
> e.g. use for registration, in a Contact header.

I disagree here. I think the identity is a real SIP URI that is not 
connected to any Contact address. At least, this is what it has been 
explained to me.

> "These services support the presentation or restriction of a callee's 
> identity to the caller" - isn't the callee's current contact address 
> meant here?

As indicated above, I don't think so.

> "the callee merely indicates an additional identity where he is 
> reachable" - could it be any "identity"? I would expect the contact 
> address of the UAC being used for the call

This seems to be more of the same... so disagree.
>  
> The example provided, which talks about "the real addressable URI", 
> seems to confirm this. In particular, it is different from a 
> P-Asserted-Identity value (RFC3325) which contains a "public address" 
> (AOR) for the user

Think for example when you call the switchboard of Nokia in Helsinki, 
and you ask the call to be transferred to me. In principle you won't be 
receiving my identity. But if I activate TIP, then I can send you my 
"direct number". I guess this is the spirit of the service.

BR,

      Miguel
>  
> Regards,
>  
> Jeroen
> 
> 
> ------------------------------------------------------------------------
> 

-- 
Miguel A. Garcia           tel:+358-50-4804586
sip:[email-masked]
Nokia Research Center      Helsinki, Finland